Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
firewall
[Firewall] Create a new firewall rule
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/firewall \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "direction": "in",
  "action": "accept",
  "protocol": "tcp",
  "priority": 5000,
  "description": "<string>",
  "source": "0.0.0.0/0",
  "destination_port": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

instance_id
string
required

Unique identifier of the compute instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required
Maximum string length: 255
direction
enum<string>
required
  • in - in
  • out - out
  • inbound - inbound
  • outbound - outbound
Available options:
in,
out,
inbound,
outbound
action
enum<string>
required
  • accept - accept
  • drop - drop
  • reject - reject
Available options:
accept,
drop,
reject
protocol
enum<string>
required
  • tcp - tcp
  • udp - udp
  • icmp - icmp
  • all - all
Available options:
tcp,
udp,
icmp,
all
priority
integer
required
Required range: 1 <= x <= 10000
description
string
source
string
default:0.0.0.0/0
destination_port
string

Response

Firewall rule created successfully